/{organizationId}/{mandateId}/crm/contracts/collectCollect contracts for an organization
Required permissions:
mandate.read
contract.read
contract.edit
receipt.insert
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
searchTermstringoptional contactIdstringoptional planIdstringoptional paymentMethodTypestringoptional Options:
sepaCreditTransfersepaDirectDebitcashonlinemaxItems: 50
statusstringoptional Options:
collectactiveupcomingpausedterminationendedfailedcollectingA stringified json object representing a property filter
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contracts/collect' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"settings": {
"mode": "draft",
"mergeReceipts": true,
"createElectronicInvoices": true
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
contractCounterintegerrequired minimum: 0
maximum: 9007199254740991
totalAmountintegerrequired minimum: 0
maximum: 9999999999
Response
[
{
"_id": "000000000000000000000001",
"contractCounter": 0,
"totalAmount": 0
}
]400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}